<form class="form" [formGroup]="registerUserForm" (ngSubmit)="register(registerUserForm.value)">
    <div><a id="back-btn" class="btn btn-secondary btn-sm" routerLink='/login'>Back</a></div>
    <p class="text-info">Write registration data in form above</p>
    <div class="form-group">
        <label for="user_email">Email</label>
        <input id="user_email" class="form-control" formControlName="email" type="email"/>
    </div>
    <div class="form-group">
        <label for="user_login">Login</label>
        <input id="user_login" class="form-control" formControlName="login"/>
    </div>
    <div class="form-group">
        <label for="user_password">Password</label>
        <input id="user_password" class="form-control" formControlName="password" type="password"/>
    </div>
    <p class="alert-danger" *ngIf="errorMessage">{{errorMessage}}</p>
    <button id="register-btn" class="btn btn-primary" [disabled]="registerUserForm.invalid" type="submit">Register</button>
</form>
